%{?scl:%scl_package swt-chart}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}swt-chart
Version:        0.8.0
Release:        9%{?dist}
Summary:        SWTChart Feature

Group:          Development/Tools
License:        EPL
URL:            http://www.swtchart.org/
# svn export https://swt-chart.svn.sourceforge.net/svnroot/swt-chart/tags/%%{version}/ %%{name}-%%{version}
# pushd %%{name}-%%{version} && rm -rf org.swtchart.{examples{,.ext},ext} && popd
# tar -cJf %%{name}-%%{version}.tar.xz %%{name}-%%{version}
Source0:        %{pkg_name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1.5
BuildRequires:  tycho >= 0.14.0
BuildRequires:  %{?scl_prefix}eclipse-jdt

Requires:       jpackage-utils
Requires:       java >= 1.5
Requires:       %{?scl_prefix}eclipse-platform >= 3.4.0
%{?scl:Requires: %scl_runtime}

%description
SWTChart is a light-weight charting component for SWT.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q -n %{pkg_name}-%{version}
# Create the poms
%{?scl:%scl_maven_opts}
mvn-rpmbuild org.eclipse.tycho:tycho-pomgenerator-plugin:generate-poms -DgroupId=org.swtchart

%build
%{?scl:%scl_maven_opts}
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}

# Pom
install -p -m 644 org.swtchart/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# Jar
install -p -m 644 org.swtchart/target/org.swtchart-%{version}-SNAPSHOT.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{_javadir}/%{name}.jar %{buildroot}%{_javadir}/org.swtchart_%{version}.jar

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# Javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs %{buildroot}%{_javadocdir}/%{name}


%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc %{_javadocdir}/%{name}

%changelog
* Wed Apr 17 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.8.0-9
- Add build dependency to JDT.

* Wed Apr 17 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.8.0-8
- Rebuild to get proper dist macro value.

* Fri Dec 7 2012 Alexander Kurtakov <akurtako@redhat.com> 0.8.0-7
- SCL-ize.

* Thu Dec 6 2012 Roland Grunberg <rgrunber@redhat.com> 0.8.0-6
- Make changes to build in SCL environment.

* Tue Aug 14 2012 Roland Grunberg <rgrunber@redhat.com> 0.8.0-5
- Remove deprecated tycho.targetPlatform due to p2 support.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 4 2012 Roland Grunberg <rgrunber@redhat.com> 0.8.0-3
- Use %%{_eclipse_base} from eclipse-platform.

* Mon Apr 2 2012 Roland Grunberg <rgrunber@redhat.com> 0.8.0-2
- Explicitly require java/java-devel >= 1.5 as per manifest.

* Sat Mar 6 2012 Roland Grunberg <rgrunber@redhat.com> 0.8.0-1
- Initial packaging of SWTChart.
